Subject: Re: emacs 21.3 does work while 22.1 works: Why 21.3 is default in cygwin setup
From: Tatsuro MATSUOKA <[email-masked]>
To: [email-masked]
Cc: me <[email-masked]>
Date: Wed, 12 Mar 2008 13:49:46 +0900 (JST)
List-Id: <cygwin.cygwin.com>

Hello

--- Brian Dessent <[email-masked]> wrote:

> Tatsuro MATSUOKA wrote:
> 
> > After that I cannot execute
> > $ emacs
> > Nothing happend
> > Only
> > $ emacs -nw
> > worked.
> > This happens both in home and university.
> 
> That can happen either a) you have $DISPLAY set but you aren't running
> an X11 server or b) you are running an X11 server but $DISPLAY is not
> set correctly to refer to it.  In either case emacs will sit there
> trying to connect to something that doesn't exist.  It should time out
> after several minutes though, which you can check to see if that is the
> case.  If so, fix your setting of DISPLAY.
> 
> The other possibility is the issue of a rebased cygncurses7 that causes
> emacs to go into a 100% cpu spinloop at startup, for some as-yet
> unidentified reason.  However if emacs -nw works then that more or less
> rules out this possibility.
> 
This time
a) was not the case.  I set $DISPLAY.  
The gnuplot, xemacs, grace and Xfig worked worked from the same prompt.

That was mysterious.  Perhaps noboby answers it.
If I install again, they might work but I do not want to spend time because 
emacs 22.1 works well.

Thank you.

Tatsuro 

--------------------------------------
Easy + Joy + Powerful = Yahoo! Bookmarks x Toolbar
http://pr.mail.yahoo.co.jp/toolbar/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/